安装apache的登录文件分析软件awstats-7.3-1.noarch.rpm出现依赖错误

服务器 struggling 1549次浏览 0个评论

今天在安装apache的登录文件分析软件:awstats时,出现如下错误:

<code>
[root@www ~]# rpm -ivh  awstats-7.3-1.noarch.rpm 
error: Failed dependencies:
	perl(LWP::UserAgent) is needed by awstats-7.3-1.noarch
</code>

网上找了半天发现需要下载以下软件:

<code>
[root@www ~]# yum install -y perl-libwww-perl 

[root@www ~]# rpm -ivh  awstats-7.3-1.noarch.rpm 
Preparing...                ########################################### [100%]
   1:awstats                ########################################### [100%]

----- AWStats 7.3 - Laurent Destailleur -----
AWStats files have been installed in /usr/local/awstats

If first install, follow instructions in documentation
(/usr/local/awstats/docs/index.html) to setup AWStats in 3 steps:
Step 1 : Install and Setup with awstats_configure.pl (or manually)
Step 2 : Build/Update Statistics with awstats.pl
Step 3 : Read Statistics

</code>

DevOps-田飞雨 》》转载请注明源地址
喜欢 (0)or分享 (0)
发表我的评论
取消评论
*

表情 贴图 加粗 链接 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址